Subject: Re: Aircraft photos
From: [email-masked]
To: [email-masked]
Date: Wed, 19 Dec 2001 09:44:38 EST

Full name is Mike Minty. Can you remind me what I sent, and I'll send more. 
Here is a bunch of a different Tiger Moth - in the museum in Rio, Brazil, 
it's a training one hence the cute badge - a chick hatching! Rgds, Mike